GNU bug report logs - #28772
guix system reconfigure after kernel panic user or group not created

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Oleg Pykhalov <go.wigust@HIDDEN>; Keywords: moreinfo; dated Tue, 10 Oct 2017 05:52:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Added tag(s) moreinfo. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 20 Oct 2017 16:02:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 20 12:02:14 2017
Received: from localhost ([127.0.0.1]:52553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5ZkS-00083e-S2
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 12:02:14 -0400
Received: from hera.aquilenet.fr ([141.255.128.1]:41338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1e5ZkR-00083W-0z
 for 28772 <at> debbugs.gnu.org; Fri, 20 Oct 2017 12:02:11 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 832E6E021;
 Fri, 20 Oct 2017 18:02:11 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id B8X809-9ABxh; Fri, 20 Oct 2017 18:02:10 +0200 (CEST)
Received: from ribbon (unknown [193.50.110.53])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 9AF1C9439;
 Fri, 20 Oct 2017 18:02:10 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Oleg Pykhalov <go.wigust@HIDDEN>
Subject: Re: bug#28772: guix system reconfigure after kernel panic user or
 group not created
References: <8760bnh7os.fsf@HIDDEN> <87d15vm2t8.fsf@HIDDEN>
 <87r2u9fvpz.fsf@HIDDEN> <871sm8ssru.fsf@HIDDEN>
 <87o9pceq8b.fsf@HIDDEN>
Date: Fri, 20 Oct 2017 18:02:08 +0200
In-Reply-To: <87o9pceq8b.fsf@HIDDEN> (Oleg Pykhalov's message of "Thu, 12
 Oct 2017 11:15:48 +0300")
Message-ID: <87a80lvmdb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 28772
Cc: 28772 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi,

Oleg Pykhalov <go.wigust@HIDDEN> skribis:

> ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
>
> [...]
>
>> I think we can avoid the problem by forcefully removing these two lock
>> files at boot time:
>>
>> diff --git a/gnu/services.scm b/gnu/services.scm
>> index 329b7b151..2ef1d8530 100644
>> --- a/gnu/services.scm
>> +++ b/gnu/services.scm
>> @@ -368,6 +368,8 @@ boot."
>>                                                  #t))))
>>                      ;; Ignore I/O errors so the system can boot.
>>                      (fail-safe
>> +                     (delete-file "/etc/group.lock")
>> +                     (delete-file "/etc/passwd.lock")
>>                       (delete-file-recursively "/tmp")
>>                       (delete-file-recursively "/var/run")
>>                       (mkdir "/tmp")
>>
>>
>
> There is also a '/etc/.pwd.lock'.  Info about this file
> https://lists.debian.org/debian-user/2005/07/msg02949.html
>
>
> I'm not sure if any files are exist.  Days past after reconfigure
> failure.
>
> $ sudo find /etc -name '*.lock' # Shows nothing.
>
> [...]
>
>> IOW, shepherd caught the exceptions and didn=E2=80=99t die.
>>
>> What am I missing?
>
> I'll try to make a reproducible thing later.

Did you eventually gather more info?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 13 Oct 2017 08:35:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 13 04:35:47 2017
Received: from localhost ([127.0.0.1]:36826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2vRa-0006fa-Rq
	for submit <at> debbugs.gnu.org; Fri, 13 Oct 2017 04:35:47 -0400
Received: from hera.aquilenet.fr ([141.255.128.1]:52528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1e2vRZ-0006fQ-Ml
 for 28772 <at> debbugs.gnu.org; Fri, 13 Oct 2017 04:35:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 2607BA39B;
 Fri, 13 Oct 2017 10:35:46 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id z83eounSUtV4; Fri, 13 Oct 2017 10:35:45 +0200 (CEST)
Received: from ribbon (unknown [193.50.110.214])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id DBB68A379;
 Fri, 13 Oct 2017 10:35:44 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: guix-devel@HIDDEN
Subject: Re: 02/02: doc: Add an example to the documentation of the
 udev-service.
References: <20171013064322.9299.48232@HIDDEN>
 <20171013064323.9382C20339@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 =?utf-8?Q?Vend=C3=A9miaire?= an 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 13 Oct 2017 10:35:43 +0200
In-Reply-To: <20171013064323.9382C20339@HIDDEN> (Ricardo
 Wurmus's message of "Fri, 13 Oct 2017 02:43:23 -0400 (EDT)")
Message-ID: <87r2u7qwbk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 28772
Cc: 28772 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi!

rekado@HIDDEN (Ricardo Wurmus) skribis:

> commit e0c1d080b520c1bbd2dcd7bc90a750f5ce580486
> Author: Ricardo Wurmus <rekado@HIDDEN>
> Date:   Mon Oct 9 23:03:56 2017 +0200
>
>     doc: Add an example to the documentation of the udev-service.
>=20=20=20=20=20
>     * doc/guix.texi (Base Services): Update 'udev-service' documentation.

Good idea.

> +@example
> +(define %example-udev-rule
> +  (udev-rule "90-usb-thing.rules"
> +             "ACTION=3D=3D\"add\", SUBSYSTEM=3D=3D\"usb\", ATTR@{product=
@}=3D=3D\"Example\", RUN+=3D\"/path/to/script\""))
> +
> +(operating-system
> +  ;; @dots{}
> +  (services (modify-services %desktop-services
> +              (udev-service-type config =3D>
> +                (udev-configuration (inherit config)
> +                  (rules (append (udev-configuration-rules config)
> +                                 (list %example-udev-rule))))))))
> +@end example

<https://bugs.gnu.org/28647> is somewhat related.

Fundamentally though, to simplify this use case, we should have:

  (define (additional-udev-rules . rules)
    "Add RULES, a list of file-like object, as a udev rules."
    (simple-service 'udev-rule udev-service-type rules))

so one can write:

  (operating-system
     ;; =E2=80=A6
     (services (cons (additional-udev-rules %example-udev-rule)
                     %desktop-services)))

Thoughts?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 13 Oct 2017 08:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 13 04:25:56 2017
Received: from localhost ([127.0.0.1]:36813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2vI4-0006N5-4Q
	for submit <at> debbugs.gnu.org; Fri, 13 Oct 2017 04:25:56 -0400
Received: from hera.aquilenet.fr ([141.255.128.1]:52492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1e2vI2-0006Mx-5h
 for 28772 <at> debbugs.gnu.org; Fri, 13 Oct 2017 04:25:54 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id BDE10DFB3;
 Fri, 13 Oct 2017 10:25:54 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id X8XjQIfTZvNb; Fri, 13 Oct 2017 10:25:53 +0200 (CEST)
Received: from ribbon (unknown [193.50.110.214])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id B9A65DC67;
 Fri, 13 Oct 2017 10:25:53 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Oleg Pykhalov <go.wigust@HIDDEN>
Subject: Re: bug#28772: guix system reconfigure after kernel panic user or
 group not created
References: <8760bnh7os.fsf@HIDDEN> <87d15vm2t8.fsf@HIDDEN>
 <87r2u9fvpz.fsf@HIDDEN> <871sm8ssru.fsf@HIDDEN>
 <87o9pceq8b.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 =?utf-8?Q?Vend=C3=A9miaire?= an 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 13 Oct 2017 10:25:52 +0200
In-Reply-To: <87o9pceq8b.fsf@HIDDEN> (Oleg Pykhalov's message of "Thu, 12
 Oct 2017 11:15:48 +0300")
Message-ID: <87wp3zqwrz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 28772
Cc: 28772 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Oleg,

Oleg Pykhalov <go.wigust@HIDDEN> skribis:

> ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
>
> [...]
>
>> I think we can avoid the problem by forcefully removing these two lock
>> files at boot time:
>>
>> diff --git a/gnu/services.scm b/gnu/services.scm
>> index 329b7b151..2ef1d8530 100644
>> --- a/gnu/services.scm
>> +++ b/gnu/services.scm
>> @@ -368,6 +368,8 @@ boot."
>>                                                  #t))))
>>                      ;; Ignore I/O errors so the system can boot.
>>                      (fail-safe
>> +                     (delete-file "/etc/group.lock")
>> +                     (delete-file "/etc/passwd.lock")
>>                       (delete-file-recursively "/tmp")
>>                       (delete-file-recursively "/var/run")
>>                       (mkdir "/tmp")
>>
>>
>
> There is also a '/etc/.pwd.lock'.  Info about this file
> https://lists.debian.org/debian-user/2005/07/msg02949.html
>
>
> I'm not sure if any files are exist.  Days past after reconfigure
> failure.
>
> $ sudo find /etc -name '*.lock' # Shows nothing.

I=E2=80=99ve pushed it as aad8a143000600abec5c8ebfadec4c09f34f1b73.

> [...]
>
>> IOW, shepherd caught the exceptions and didn=E2=80=99t die.
>>
>> What am I missing?
>
> I'll try to make a reproducible thing later.

Awesome.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 12 Oct 2017 08:15:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 12 04:15:58 2017
Received: from localhost ([127.0.0.1]:34834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2Yes-0005qL-1k
	for submit <at> debbugs.gnu.org; Thu, 12 Oct 2017 04:15:58 -0400
Received: from mail-lf0-f41.google.com ([209.85.215.41]:46261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1e2Yeq-0005q6-AQ
 for 28772 <at> debbugs.gnu.org; Thu, 12 Oct 2017 04:15:56 -0400
Received: by mail-lf0-f41.google.com with SMTP id g70so5033209lfl.3
 for <28772 <at> debbugs.gnu.org>; Thu, 12 Oct 2017 01:15:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=66mvBZ8mLKWg3ZWtBCqDltNvEA4XcgYQGHGeaRIX6UI=;
 b=q1B8EGgrr1S7zGTfhyUiCobzUCzmW1LYgvCS0uNjQdiSjK6LyzfbWGZ8H1riLrjX6u
 Xmd/HNGA1ixxLcWF3pIgj0GfXerKt+hczu8di+yL15flSbFd8JOIC5LPiCzJPUf9G/pG
 JsQvBE3XnzLtFWSTvCKt5MrxtTTLALypn/x2n8aqrVB1dk4Jm4s5KhhH+xvPkOF47DK/
 +l4tZczgk/uiOH+VAhGuX9n9K8QOmpc2ion3DsqGAK7mC+isNer7bnHG5chZ9JNoAZqk
 Utc6FOwwxE6YuMjonbdXg5juVkOL3imfg4sddT/ah/FbqDHSdEdC/qKtgevdDwSA4BiW
 hk4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=66mvBZ8mLKWg3ZWtBCqDltNvEA4XcgYQGHGeaRIX6UI=;
 b=kZvU99On89MHIiaFZxt1jY4ZI3OogBZW7Pz467qXfOfZpJerglpWBgQfLtQbHW651R
 SCfElqQMUVFU8Ws+F2ycTbx7lvqFKAQMaIOPwDMjpGNSph1RwODBx4XlQR+U2q2iwU1a
 qaRuNeHSQs2s6bg6dbT8SVwJqL34kvnmKNT5Ak+RjvQS53PDGQ7yrmV2yX/yQHTW1/SL
 O4aSNxQsul5jnKIO+OXwj9aYy5JFhMB9+n9RpwHZ6DJ1gAA2wSvVTgQIgax25dm+1QNZ
 ydIwBqhGrH0HTW6fG+peEAWz43maeOt+R8m5lrDFaqGwXu/G69sF+AmRIH9zYua8qn/t
 /YPQ==
X-Gm-Message-State: AMCzsaXlMwP2xDSbnEobhU0xjRXaP2V+5SN64hfw6mmKMfPhN4mVKY2k
 7HLzB29ICzHOBIWtadSD+pYoEg==
X-Google-Smtp-Source: AOwi7QBi/CxOrNd3VRZSdlISLxWJuH/94Jymga3ERMNKh2SqX/tuiFaapekLY3bdYDSIOLADMe4uVA==
X-Received: by 10.46.7.2 with SMTP id 2mr759761ljh.120.1507796150163;
 Thu, 12 Oct 2017 01:15:50 -0700 (PDT)
Received: from magnolia (ppp91-122-82-19.pppoe.avangarddsl.ru. [91.122.82.19])
 by smtp.gmail.com with ESMTPSA id
 h19sm386054ljb.30.2017.10.12.01.15.49
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 12 Oct 2017 01:15:49 -0700 (PDT)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#28772: guix system reconfigure after kernel panic user or
 group not created
References: <8760bnh7os.fsf@HIDDEN> <87d15vm2t8.fsf@HIDDEN>
 <87r2u9fvpz.fsf@HIDDEN> <871sm8ssru.fsf@HIDDEN>
Date: Thu, 12 Oct 2017 11:15:48 +0300
In-Reply-To: <871sm8ssru.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 12 Oct 2017 09:57:09 +0200")
Message-ID: <87o9pceq8b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28772
Cc: 28772 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Hello Ludovic,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

[...]

> I think we can avoid the problem by forcefully removing these two lock
> files at boot time:
>
> diff --git a/gnu/services.scm b/gnu/services.scm
> index 329b7b151..2ef1d8530 100644
> --- a/gnu/services.scm
> +++ b/gnu/services.scm
> @@ -368,6 +368,8 @@ boot."
>                                                  #t))))
>                      ;; Ignore I/O errors so the system can boot.
>                      (fail-safe
> +                     (delete-file "/etc/group.lock")
> +                     (delete-file "/etc/passwd.lock")
>                       (delete-file-recursively "/tmp")
>                       (delete-file-recursively "/var/run")
>                       (mkdir "/tmp")
>
>

There is also a '/etc/.pwd.lock'.  Info about this file
https://lists.debian.org/debian-user/2005/07/msg02949.html


I'm not sure if any files are exist.  Days past after reconfigure
failure.

$ sudo find /etc -name '*.lock' # Shows nothing.

[...]

> IOW, shepherd caught the exceptions and didn=E2=80=99t die.
>
> What am I missing?

I'll try to make a reproducible thing later.

Thanks,
Oleg.




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 12 Oct 2017 07:57:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 12 03:57:23 2017
Received: from localhost ([127.0.0.1]:34810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2YMt-0005LB-CE
	for submit <at> debbugs.gnu.org; Thu, 12 Oct 2017 03:57:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1e2YMr-0005Kx-Qg
 for 28772 <at> debbugs.gnu.org; Thu, 12 Oct 2017 03:57:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1e2YMj-0003wU-7Q
 for 28772 <at> debbugs.gnu.org; Thu, 12 Oct 2017 03:57:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38604)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1e2YMj-0003wM-36; Thu, 12 Oct 2017 03:57:13 -0400
Received: from [193.50.110.214] (port=52892 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1e2YMi-0004tk-Kl; Thu, 12 Oct 2017 03:57:12 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Oleg Pykhalov <go.wigust@HIDDEN>
Subject: Re: bug#28772: guix system reconfigure after kernel panic user or
 group not created
References: <8760bnh7os.fsf@HIDDEN> <87d15vm2t8.fsf@HIDDEN>
 <87r2u9fvpz.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 =?utf-8?Q?Vend=C3=A9miaire?= an 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 12 Oct 2017 09:57:09 +0200
In-Reply-To: <87r2u9fvpz.fsf@HIDDEN> (Oleg Pykhalov's message of "Wed, 11
 Oct 2017 20:19:36 +0300")
Message-ID: <871sm8ssru.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28772
Cc: 28772 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Oleg,

Oleg Pykhalov <go.wigust@HIDDEN> skribis:

> apologies for not adding logs before.  It's hard to do when I do guix
> commands from Xterm and not from Emacs.  Emacs *shell* or *compilation*
> buffers will eat all memory if they get too much text.

I sympathize=E2=80=A6

> The problem
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
>
> The bigger problem from my view are files like /etc/group.lock and
> /etc/passwd.lock.  For example:
>
>     sudo touch /etc/group.lock
>
> /etc/config.scm
>
>     (operating-system
>       ;; =E2=80=A6
>       (groups (cons
>          (user-group (name "test"))
>          %base-groups)))
>
> reconfigure log

I think we can avoid the problem by forcefully removing these two lock
files at boot time:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/services.scm b/gnu/services.scm
index 329b7b151..2ef1d8530 100644
--- a/gnu/services.scm
+++ b/gnu/services.scm
@@ -368,6 +368,8 @@ boot."
                                                 #t))))
                     ;; Ignore I/O errors so the system can boot.
                     (fail-safe
+                     (delete-file "/etc/group.lock")
+                     (delete-file "/etc/passwd.lock")
                      (delete-file-recursively "/tmp")
                      (delete-file-recursively "/var/run")
                      (mkdir "/tmp")

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


>                        How to make a kernel panic
>
> The problem will be No defined variable IPTABLES-SSH after 'guix system
> reconfigure' and kernel crash after.

[...]

> Make a kernel panic
>
>     sudo GUILE_LOAD_PATH=3D\"$HOME/src/iptables\
>     :$GUILE_LOAD_PATH\" guix system reconfigure \
>     $HOME/dotfiles/guix/system-magnolia.scm
>
>     # Run above again and kernel will panic.

I tried to reproduce it with my user=E2=80=99s shepherd, but that didn=E2=
=80=99t work:

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix$ cat ,t.scm
(define s
  (make <service>
    #:provides '(nothing)
    #:start (lambda _ unbound)))

(register-services s)
(start s)
ludo@ribbon ~/src/guix$ herd load root ,t.scm
Loading ,t.scm.
herd: exception caught while executing 'load' on service 'root':
ERROR: Unbound variable: foo
ludo@ribbon ~/src/guix$ herd load root ,t.scm
Loading ,t.scm.
herd: exception caught while executing 'start' on service 'nothing':
ERROR: Unbound variable: unbound
ludo@ribbon ~/src/guix$ herd load root ,t.scm
Loading ,t.scm.
Assertion (null? (lookup-services (canonical-name new))) failed.
herd: exception caught while executing 'load' on service 'root':
ERROR: Throw to key `assertion-failed' with args `()'.
ludo@ribbon ~/src/guix$ echo $?
1
ludo@ribbon ~/src/guix$ herd status

[...]

ludo@ribbon ~/src/guix$ echo $?
0
--8<---------------cut here---------------end--------------->8---

IOW, shepherd caught the exceptions and didn=E2=80=99t die.

What am I missing?

Ludo=E2=80=99.

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 11 Oct 2017 17:19:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 13:19:57 2017
Received: from localhost ([127.0.0.1]:34430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2Kfk-0000NN-Pa
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 13:19:57 -0400
Received: from mail-lf0-f48.google.com ([209.85.215.48]:49259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1e2Kfi-0000NA-Un
 for 28772 <at> debbugs.gnu.org; Wed, 11 Oct 2017 13:19:55 -0400
Received: by mail-lf0-f48.google.com with SMTP id c82so2863693lfc.6
 for <28772 <at> debbugs.gnu.org>; Wed, 11 Oct 2017 10:19:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=mo+hC/Ow2BBbW3H97ByFiRl1umDyClefbQvfzxKPcdI=;
 b=KrV55GZW1r2DfBrPpkO9nek49B6PU5wBohh5T3g+vxLp5DPC2RB/dtp+qRGx0oEbS/
 Wzm2fQJnXEWXynq6/IOqfBeRK32KgEu0ZEn/0Wt8aDFokz/130TVz1hDeCyJDpUEUZy/
 lIB6zysY3bBH/fBYd7R7FJKG7AN9IRToOtyfcrHdMLAMeIc/XfJieSt1RiyGmSpm6OyV
 QdK9jbTC1bEfJ53iX5UdNeJmSU2ZIsHm2j7lULaP7TMNFyOu7HMDcM0B8gQXWnseNxCb
 lyoMjoDWVrOYo2Aw2iN6NvNoVHftuB1aKfioHB0NwksoOXA0qWSvPz4VHEsUZWITN6+o
 E5Wg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=mo+hC/Ow2BBbW3H97ByFiRl1umDyClefbQvfzxKPcdI=;
 b=Bv3cUR393jb5V+zfCUJEdju3hGew56uuAg8JqB47hWN0tSpQjwhkNwxL/yTW3ZoF9P
 VImcBIfsnGkYPKtkpOdUpoFGrNI+o4G5P6kr0h00nXgb/FcN5Eh7eQT5tb3/tEOfmnhp
 akRW7xMGNQ1cT94il8MtU3gsJb4H8cjB3Ht8vpwAR6YIWGIMg/+6Ya6XvHgsqsP+LwBn
 i3C/rtO/F4+oUD9Gmb+QPZjLFwMv/IqgaO7+pruvObAWcqtje79l2aF554pNVefSxybR
 T4QkemI+TyZe51cumtBSEoCmhMsQ+nVrN/xthiRUXDTc4TbfmsDyfGfWIIIW9XQM/rE1
 nA+A==
X-Gm-Message-State: AMCzsaVcvYRxTmRCUIFsPcieoaWzlra7rRHDjvPajleMoKPJ6tpYgPdz
 OtedeJB/d5wYXUToBKrohjvWng==
X-Google-Smtp-Source: ABhQp+TAxPLfoO+Le69Tkq7y/vC9gPkWHyCT/Osbytz86Xd2A3T+212j9UTvOuZvjzdNNIoERcRZ/A==
X-Received: by 10.25.35.9 with SMTP id j9mr117074lfj.24.1507742388411;
 Wed, 11 Oct 2017 10:19:48 -0700 (PDT)
Received: from magnolia (ppp91-122-82-19.pppoe.avangarddsl.ru. [91.122.82.19])
 by smtp.gmail.com with ESMTPSA id
 i4sm3146824ljd.74.2017.10.11.10.19.47
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 11 Oct 2017 10:19:47 -0700 (PDT)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#28772: guix system reconfigure after kernel panic user or
 group not created
References: <8760bnh7os.fsf@HIDDEN> <87d15vm2t8.fsf@HIDDEN>
Date: Wed, 11 Oct 2017 20:19:36 +0300
In-Reply-To: <87d15vm2t8.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Tue, 10 Oct 2017 17:37:39 +0200")
Message-ID: <87r2u9fvpz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28772
Cc: 28772 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello Ludovic,

apologies for not adding logs before.  It's hard to do when I do guix
commands from Xterm and not from Emacs.  Emacs *shell* or *compilation*
buffers will eat all memory if they get too much text.

Probably need to redirect STDOUT STDERR in file when Xterm do guix.

I heard Guix folks work on implementing tiny log output to console and
redirect everything else to a log file.  This will be my life saver.

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Hello,
>
> Oleg Pykhalov <go.wigust@HIDDEN> skribis:
>
>> During 'guix system reconfigure' I got a kernel panic.
>
> Can you show the exact command and its output?

Sorry, as I said this is not a topic and I don't want to do it again and
I caution to make it on my current system.

I will setup a specific Guix VM for this, where I could make a 'system
reconfigure'.  Then I'll create a new bug report with full log.

Neverless I'll leave a how-to reproduce it below for at least for myself
TODO list.

The problem
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

The bigger problem from my view are files like /etc/group.lock and
/etc/passwd.lock.  For example:

    sudo touch /etc/group.lock

/etc/config.scm

    (operating-system
      ;; =E2=80=A6
      (groups (cons
         (user-group (name "test"))
         %base-groups)))

reconfigure log

=20=20=20=20
--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=report.send
Content-Description: $ guix system reconfigure
 $HOME/dotfiles/guix/system-magnolia.scm

$ guix system reconfigure $HOME/dotfiles/guix/system-magnolia.scm

substitute: updating list of substitutes from 'https://berlin.guixsd.org'... 100.0%
The following derivations will be built:
   /gnu/store/v9dp6193rpxrx1rqfdw59s5ss4wlrfdh-system.drv
   /gnu/store/carkycnf6zcarbmnk5745pgsx1nv478y-grub.cfg.drv
   /gnu/store/r5p953fx3dl18aav1ggwmiy2bqnv991s-activate-service.drv
   /gnu/store/pjjm6595562ysk40zjrznhmsfsid1k8r-activate.drv
   /gnu/store/l41adszqk24sb200dwm8sj6ky71ivwpi-boot.drv
/gnu/store/qqhzapsv5w8mrbz3s8hgy7w42r3dbyv9-system
/gnu/store/b4i4drp7lpxmgpcfkbvgmrig2hlszl3j-grub.cfg
/gnu/store/0b459jxdmyz5vf22avav9sm8ig03173k-grub-efi-2.02
/gnu/store/ijw065yljn1np4x0p5l1qkx9w4z9ikcl-bootloader-installer
activating system...
making '/gnu/store/qqhzapsv5w8mrbz3s8hgy7w42r3dbyv9-system' the current system...
setting up setuid programs in '/run/setuid-programs'...
populating /etc from /gnu/store/iyr9ji3idg3iphi3fskh2hqjlmg4h5w0-etc...
usermod: no changes
adding group 'test'...
groupadd: existing lock file /etc/group.lock without a PID
groupadd: cannot lock /etc/group; try again later.
usermod: no changes
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: no changes
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: existing lock file /etc/group.lock without a PID
usermod: cannot lock /etc/group; try again later.
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
usermod: no changes
creating nginx log directory '/var/log/nginx'
creating nginx run directory '/var/run/nginx'
creating nginx temp directories '/var/run/nginx/{client_body,proxy,fastcgi,uwsgi,scgi}_temp'
nginx: [alert] could not open error log file: open() "/gnu/store/vyj2vkmdmlpxn3mnj71vz8zc8j30ahkf-nginx-1.12.1/logs/error.log" failed (2: No such file or directory)
nginx: the configuration file /gnu/store/xms1g2z62rcj2h9i9d6fbqyl65a4yycm-nginx.conf syntax is ok
nginx: configuration file /gnu/store/xms1g2z62rcj2h9i9d6fbqyl65a4yycm-nginx.conf test is successful
guix system: unloading service 'user-homes'...
shepherd: Removing service 'user-homes'...
shepherd: Done.
guix system: loading new services: user-homes...
shepherd: Evaluating user expression (register-services (primitive-load "/gnu/sto?")).
shepherd: Service user-homes could not be started.
Installing for x86_64-efi platform.
Installation finished. No error reported.

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


The new system generation was produced without "test" group, so you
could reboot into it.  And it could lead to problems if we will have a
tiny output to console and big output to a log file, I guess.

> A user-land program is not supposed to be able to cause a kernel panic;
> if it does, that=E2=80=99s a kernel bug.

                       How to make a kernel panic

The problem will be No defined variable IPTABLES-SSH after 'guix system
reconfigure' and kernel crash after.

$HOME/src/iptables/iptables/ru.scm

    (define-module (iptables ru)
      ;; =E2=80=A6
      )

    (define %iptables-ssh
       "-A INPUT -p tcp --dport 22 \
    -m state --state NEW -m recent --set --name SSH -j ACCEPT")

/etc/config.scm

    (use-modules ;; =E2=80=A6
                 (iptables ru))

    (define start-firewall
      #~(let ((iptables
               (lambda (str)
                 (zero? (system (string-join `(,#$(file-append iptables
                                                               "/sbin/iptab=
les")
                                               ,str) " "))))))
          (format #t "Install iptables rules.~%")
          (and
           ;; =E2=80=A6
           (iptables %iptables-ssh))))

    (define firewall-service
      (simple-service 'firewall shepherd-root-service-type
                      (list
                       (shepherd-service
                        (provision '(firewall))
                        (requirement '())
                        (start #~(lambda _
                                   #$start-firewall))
                        (respawn? #f)
                        (stop #~(lambda _
                                  (zero?
                                   (system* #$(file-append iptables
                                                           "/sbin/iptables")
                                            "-F"))))))))

    (operating-system
      ;; =E2=80=A6
        (services (cons* ;; =E2=80=A6
                         firewall-service)))


Make a kernel panic

    sudo GUILE_LOAD_PATH=3D\"$HOME/src/iptables\
    :$GUILE_LOAD_PATH\" guix system reconfigure \
    $HOME/dotfiles/guix/system-magnolia.scm

    # Run above again and kernel will panic.

> But perhaps you got the kernel panic *after* rebooting in the
> reconfigured system?  That could well be a GuixSD bug, indeed.

No, it happens after second 'guix system reconfigure' with howto above.

[...]

Thanks,
Oleg.

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 11 Oct 2017 13:27:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 09:27:28 2017
Received: from localhost ([127.0.0.1]:33205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2H2m-0005Kf-IM
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 09:27:28 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1e2H2k-0005KR-Gt
 for 28772 <at> debbugs.gnu.org; Wed, 11 Oct 2017 09:27:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1e2H2e-0006XT-Kp
 for 28772 <at> debbugs.gnu.org; Wed, 11 Oct 2017 09:27:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49447)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1e2H2e-0006XP-H6; Wed, 11 Oct 2017 09:27:20 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=33082 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1e2H2e-00017i-2z; Wed, 11 Oct 2017 09:27:20 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Oleg Pykhalov <go.wigust@HIDDEN>
Subject: Re: bug#28772: guix system reconfigure after kernel panic user or
 group not created
References: <8760bnh7os.fsf@HIDDEN> <87y3ojxdas.fsf@HIDDEN>
Date: Wed, 11 Oct 2017 15:27:18 +0200
In-Reply-To: <87y3ojxdas.fsf@HIDDEN> (Oleg Pykhalov's message of "Tue, 10
 Oct 2017 17:55:39 +0300")
Message-ID: <87o9pdbyrt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28772
Cc: 28772 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Oleg Pykhalov <go.wigust@HIDDEN> skribis:

> Oleg Pykhalov <go.wigust@HIDDEN> writes:
>
> [...]
>
>> Getting it quite often while 'guix system reconfigure' at Linux magnolia
>> 4.13.4-gnu #1 SMP 1 x86_64 GNU/Linux.  But it's not a subject of current
>> report.
>
> Kernel panic was caused by my miss configuring.  I used a Guile module
> on reconfigure via GUILE_LOAD_PATH and (use-modles (my-module) in
> config.scm.  I guess it's also required after reconfigure, according to
> some times getting errors after reconfigure: cannot find my-module.  So
> I need to add my-module globally on system.

Without seeing the config, I cannot tell whether it=E2=80=99s a bug on our =
side
or not.

However, if you=E2=80=99re confident that the bug is in your code, that=E2=
=80=99s good.
;-)  Should we close this bug?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 10 Oct 2017 15:37:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 11:37:52 2017
Received: from localhost ([127.0.0.1]:60795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1wbP-0000Rx-Rl
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 11:37:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1e1wbN-0000Rc-OC
 for 28772 <at> debbugs.gnu.org; Tue, 10 Oct 2017 11:37:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1e1wbF-0000Eu-JA
 for 28772 <at> debbugs.gnu.org; Tue, 10 Oct 2017 11:37:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56768)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1e1wbF-0000Eo-Fl; Tue, 10 Oct 2017 11:37:41 -0400
Received: from [193.50.110.208] (port=49800 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1e1wbF-0004T3-0h; Tue, 10 Oct 2017 11:37:41 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Oleg Pykhalov <go.wigust@HIDDEN>
Subject: Re: bug#28772: guix system reconfigure after kernel panic user or
 group not created
References: <8760bnh7os.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 19 =?utf-8?Q?Vend=C3=A9miaire?= an 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 10 Oct 2017 17:37:39 +0200
In-Reply-To: <8760bnh7os.fsf@HIDDEN> (Oleg Pykhalov's message of "Tue, 10
 Oct 2017 08:51:15 +0300")
Message-ID: <87d15vm2t8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28772
Cc: 28772 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

Oleg Pykhalov <go.wigust@HIDDEN> skribis:

> During 'guix system reconfigure' I got a kernel panic.

Can you show the exact command and its output?

A user-land program is not supposed to be able to cause a kernel panic;
if it does, that=E2=80=99s a kernel bug.

But perhaps you got the kernel panic *after* rebooting in the
reconfigured system?  That could well be a GuixSD bug, indeed.

> After reboot I tried another attempt to make a 'guix system
> reconfigure', but because of /etc/group.lock and /etc/passwd.lock
> operating-system groups and users fields didn't applied.
>
> I tried to get a creation of adbusers group and add my user to it, but
> because of those files I cannot do it, until manually removed them.
>
> So, do we need to check if *.lock files are exist and remove them at the
> start of 'guix system reconfigure' OR abort reconfigure and creation of
> Grub boot entry OR something else?

I=E2=80=99m not sure I understand what happened.  Could you copy/paste comm=
ands
and outputs, or transcribe what happened?

TIA,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at 28772 <at> debbugs.gnu.org:


Received: (at 28772) by debbugs.gnu.org; 10 Oct 2017 14:55:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 10:55:57 2017
Received: from localhost ([127.0.0.1]:60753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1vwr-0005xd-Oo
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 10:55:57 -0400
Received: from mail-lf0-f67.google.com ([209.85.215.67]:55018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1e1vwq-0005xQ-0N
 for 28772 <at> debbugs.gnu.org; Tue, 10 Oct 2017 10:55:56 -0400
Received: by mail-lf0-f67.google.com with SMTP id d10so29040683lfg.11
 for <28772 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 07:55:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version; bh=ARSwhHhQ8eNoE2h/nG5yqL2KjNu1PVSM2YQ0LOVzt4I=;
 b=POciogM2a6BNps64SDrqD7+VaYdBz+FXhPJRmELYvCXZmPts9BkChLCIwxIaRCP0VO
 58xRqXOWSn9/IvXyNU+yLotTOhfOMf16QxpOR+kaCElg6hSQyW7/bqodIm8JtZxly0jx
 fty4RyZ8uvEuT07okLVMclhKubuGwW7k5Obx4D0+W8vrbfeU39dOsHr64/9hkCsOolV4
 TBvlXYzVU2tVoQLIP8g2WYe7vCdKt9DtE7XgakiBlnd3Nse/3M7BGTMhFRpVzfou989I
 zpgBN6moZ3H4BWDTPFIH3S7PJZ/PDU7SlM6HJ5YzFJf/oruGzJfp+0GXzPXhVfqK5sTH
 wxWQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ARSwhHhQ8eNoE2h/nG5yqL2KjNu1PVSM2YQ0LOVzt4I=;
 b=d1BcE6pZbm+UnZC3GkcBVNG6zsLMUouRX6AUip5RgewtVwq++8eHcQ5YnJkbyxSg2N
 JpY0FzsO6hrkZCC7hSIv0KFdbL1jb41qIG+c1RZ1FWt72v0dBHgMiwExYjSvUdrNAeew
 he+99YPzSlqi2D/gnb5iBVe1iyN72ADuc3fMCTDQfytNWrcR1tm1pPxaBmVbZRLwqkG8
 XpqRtPGIxrfK8ZPRynCw2aTHK2OrH9YadmpRzWc1dbtF7WEmRSu/yDS3Zn0RYDnxxWXe
 k9s9hJlSa95uS5LFq10Q2uALdMDuifgKFDWD3OrTxURgK9nWACNoFT0mBkCvhDHXZXZD
 V2oA==
X-Gm-Message-State: AMCzsaUabbpdBF28l86btGdVtG+mrzxuUhqCoKoNJNPFGyC6xi73jEPK
 TOa47dnhn3N+ZGwGNxkrKTE8FQ==
X-Google-Smtp-Source: AOwi7QBicysJX/ABEOpiYjqUxiXJHrTGYREm/iPYMo86Fc7xT1yjl4rKvrZs03rKmLcP6qeu40NygA==
X-Received: by 10.25.40.193 with SMTP id o184mr5009679lfo.136.1507647349583;
 Tue, 10 Oct 2017 07:55:49 -0700 (PDT)
Received: from magnolia (92-100-248-232.dynamic.avangarddsl.ru.
 [92.100.248.232])
 by smtp.gmail.com with ESMTPSA id l126sm1835852lfl.69.2017.10.10.07.55.48
 for <28772 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 10 Oct 2017 07:55:48 -0700 (PDT)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: 28772 <at> debbugs.gnu.org
Subject: Re: bug#28772: guix system reconfigure after kernel panic user or
 group not created
References: <8760bnh7os.fsf@HIDDEN>
Date: Tue, 10 Oct 2017 17:55:39 +0300
In-Reply-To: <8760bnh7os.fsf@HIDDEN> (Oleg Pykhalov's message of "Tue, 10
 Oct 2017 08:51:15 +0300")
Message-ID: <87y3ojxdas.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28772
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Oleg Pykhalov <go.wigust@HIDDEN> writes:

[...]

> Getting it quite often while 'guix system reconfigure' at Linux magnolia
> 4.13.4-gnu #1 SMP 1 x86_64 GNU/Linux.  But it's not a subject of current
> report.

Kernel panic was caused by my miss configuring.  I used a Guile module
on reconfigure via GUILE_LOAD_PATH and (use-modles (my-module) in
config.scm.  I guess it's also required after reconfigure, according to
some times getting errors after reconfigure: cannot find my-module.  So
I need to add my-module globally on system.

[...]




Information forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2017 05:51:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 01:51:44 2017
Received: from localhost ([127.0.0.1]:58969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1nSC-0002wT-Lp
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 01:51:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1e1nSB-0002wF-IB
 for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 01:51:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <go.wigust@HIDDEN>) id 1e1nS5-0007En-FS
 for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 01:51:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35023)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <go.wigust@HIDDEN>) id 1e1nS5-0007Ej-CN
 for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 01:51:37 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51078)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <go.wigust@HIDDEN>) id 1e1nS4-0002FZ-Bn
 for bug-guix@HIDDEN; Tue, 10 Oct 2017 01:51:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <go.wigust@HIDDEN>) id 1e1nRz-0007Dn-EF
 for bug-guix@HIDDEN; Tue, 10 Oct 2017 01:51:36 -0400
Received: from mail-lf0-x232.google.com ([2a00:1450:4010:c07::232]:50672)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <go.wigust@HIDDEN>) id 1e1nRz-0007Dd-6o
 for bug-guix@HIDDEN; Tue, 10 Oct 2017 01:51:31 -0400
Received: by mail-lf0-x232.google.com with SMTP id a132so21570635lfa.7
 for <bug-guix@HIDDEN>; Mon, 09 Oct 2017 22:51:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=7HYh4MKLYAqoIVFYOs6iO0YjoQlYsHEROSyZadnKKC4=;
 b=Rv2DMwubxN50/3ySgorBAmiITNYJKyAw/1pGVXkuh5YRdo5CbJ+4APsT7OFg9/gRr8
 7V2ZhqMGlppn9t9qnNEWjSqJ6HaW2VsN4xvfnkFhSVRFRZFITkBdOV15Y0scnfPNxo0/
 BM3TiiCvW5OyXDGWYjNpC6JExA7RagRinlclW6lNVKW+/1wWumfNKDKbJtRDdbgW6rP9
 s79GjzJEjxkwVkvGBXuV01ysBBOj0mQXGVHP09MZ0HT/NJiZOBqAr725oGAyvVM7ICD4
 UjVj/pObD2KRU6McPS7eXghKMbXqtTIvAgPkOruXJpv0N4Ffjph5i1I7rmeMIb1mfER4
 IaEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=7HYh4MKLYAqoIVFYOs6iO0YjoQlYsHEROSyZadnKKC4=;
 b=qyB2tpPV2v1u8xrvOc4LZmxSZlhGLIbHvWsCYNZlY5amgm+HNd4SxsB9dSMJAh+TJJ
 2s9Q9nG3zff+ugba8aD31UJeAt62e+Tcl/MNYOCHBIhZzq83+lwh2akqxhSPAjwgJbWZ
 y7ANK9IAb3Y7O5h703VJCULMzIOafQen8zGK8Fz+3PfO18ppHBL1rD5UxJ9mDzLcFTBZ
 IyPfIH59K/xFwBnQNfwUD3HotmYGqeEjLc0xAPGNhYjqE8DfyUGU9LCr6MhxSYdRXVLJ
 lNIFM++6TRil9Ydh+GPXNdbrfDwhip2lR2ZolArT1eW1Ysg6EsH/lsmQkD4jN4q0ml3P
 6TLw==
X-Gm-Message-State: AMCzsaVsFhzy/cicS2KL7y50uLRYnhedrDfMecu41NMlUGOG9plbGjwd
 BR9y3NQ8qyYyL3IYPpG+ZsDL/A==
X-Google-Smtp-Source: AOwi7QCYsuBTV/PZQeQD9VxuFJyYmpEP/4G6S2ZMsqrP8NZlfs25pZgeHPWUm3iny+JKmIMroDLLqg==
X-Received: by 10.46.91.138 with SMTP id m10mr1796745lje.95.1507614689485;
 Mon, 09 Oct 2017 22:51:29 -0700 (PDT)
Received: from magnolia ([178.67.252.42])
 by smtp.gmail.com with ESMTPSA id i123sm2267488lji.92.2017.10.09.22.51.28
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 09 Oct 2017 22:51:28 -0700 (PDT)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix system reconfigure after kernel panic user or group not created
Date: Tue, 10 Oct 2017 08:51:15 +0300
Message-ID: <8760bnh7os.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hello Guix,

During 'guix system reconfigure' I got a kernel panic.

Getting it quite often while 'guix system reconfigure' at Linux magnolia
4.13.4-gnu #1 SMP 1 x86_64 GNU/Linux.  But it's not a subject of current
report.

After reboot I tried another attempt to make a 'guix system
reconfigure', but because of /etc/group.lock and /etc/passwd.lock
operating-system groups and users fields didn't applied.

I tried to get a creation of adbusers group and add my user to it, but
because of those files I cannot do it, until manually removed them.

So, do we need to check if *.lock files are exist and remove them at the
start of 'guix system reconfigure' OR abort reconfigure and creation of
Grub boot entry OR something else?

Thanks,
Oleg.




Acknowledgement sent to Oleg Pykhalov <go.wigust@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#28772; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 Oct 2017 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.